> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1orchestrationserverget



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Orchestration//swagger/v1/swagger.json post /api/v1/orchestration/server/get
openapi: 3.0.0
info:
  title: NDS.Services.Orchestration
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Orchestration/
security: []
paths:
  /api/v1/orchestration/server/get:
    post:
      tags:
        - Server
      operationId: Server_GetServers
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetServersRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetServersResult'
components:
  schemas:
    GetServersRequest:
      allOf:
        - $ref: '#/components/schemas/BaseMessage'
        - type: object
          additionalProperties: false
    GetServersResult:
      allOf:
        - $ref: '#/components/schemas/ResultMessage'
        - type: object
          additionalProperties: false
          properties:
            Servers:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/Server'
    BaseMessage:
      allOf:
        - $ref: '#/components/schemas/Message'
        - type: object
          additionalProperties: false
    ResultMessage:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
        Code:
          type: string
          nullable: true
    Server:
      allOf:
        - $ref: '#/components/schemas/ServerLight'
        - type: object
          additionalProperties: false
          properties:
            AddressRecords:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/AddressRecord'
    Message:
      type: object
      x-abstract: true
      additionalProperties: false
      properties:
        Context:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/MessageContext'
    ServerLight:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          nullable: true
        Host:
          type: string
          nullable: true
        Secure:
          type: boolean
        ReverseProxy:
          type: boolean
        ClusterId:
          type: string
          nullable: true
        IsLocal:
          type: boolean
    AddressRecord:
      type: object
      additionalProperties: false
      properties:
        Host:
          type: string
          nullable: true
        Secure:
          type: boolean
        RecordType:
          type: string
          nullable: true
    MessageContext:
      type: object
      additionalProperties: false
      properties:
        CorrelationId:
          type: string
          nullable: true
        UserId:
          type: string
          nullable: true
        Pads4UserId:
          type: string
          nullable: true
        Domain:
          type: string
          nullable: true
        Claims:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/UserClaim'
        SecondaryIdentities:
          type: array
          nullable: true
          items:
            type: string
        ImpersonationId:
          type: string
          nullable: true
    UserClaim:
      type: object
      additionalProperties: false
      properties:
        Type:
          type: string
          nullable: true
        Value:
          type: string
          nullable: true

````